> For the complete documentation index, see [llms.txt](https://docs.exads.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exads.com/api/exads-public-api.md).

# EXADS Public API

Get started with the EXADS Public API.

Use the EXADS Public API to automate workflows available in the Admin Panel.

Start with the [EXADS API Overview](/api/exads-public-api/api-manual-overview.md). It covers API access and available integration tools.

### Get started

1. Create an API token from **My Profile** → **API Tokens**.
2. Authenticate to receive a session token.
3. Send requests with the required headers and supported HTTP methods.

### API reference

* [Developer API](/api/exads-public-api/developer-api.md) covers authentication and common workflows.
* [API Interface](/api/exads-public-api/api-manual-interface.md) explains the interactive API interface.
* [Versions](/api/exads-public-api/api-manual-versions.md) lists available API versions.

Use the reference pages in this section for headers, data types, errors, pagination, rate limits, and endpoint-specific guidance.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exads.com/api/exads-public-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
